<?php

/**
 * @file
 * Documents hooks provided by the LiqPay module.
 */

/**
 * Data array alter for API request.
 *
 * Allows modules to alter the name-value pair array for a LiqPay API request
 * before it is submitted.
 *
 * @param \stdClass $order
 *   The full order object the payment request is being submitted for.
 * @param array $settings
 *   The payment settings array associated with this API request.
 * @param array &$data
 *   The name-value pair array for the API request.
 */
function hook_commerce_liqpay_payment_data_alter(stdClass $order, array $settings, array &$data) {
  // See https://www.liqpay.com/en/doc/checkout to find out all possible values.
  // An example: force set LiqPay offsite interface language to english.
  $data['language'] = 'en';
}
