<?php

/**
 * @file
 * Alter default rules configuration for payments.
 */

/**
 * Implements hook_default_rules_configuration_alter().
 */
function commerce_liqpay_default_rules_configuration_alter(&$configs) {
  if (isset($configs['commerce_payment_liqpay'])) {
    // LiqPay service accept limited list of currencies.
    // We should add condition to default payment rule with them.
    $condition = rules_condition('data_is', array(
      'data:select' => 'commerce-order:commerce-order-total:currency-code',
      'op' => 'IN',
      'value' => commerce_liqpay_currencies(),
    ));

    $configs['commerce_payment_liqpay']->condition($condition);
  }
}
